<?php

/**
 * @author  Samuel Carlier
 * @package P3Base_Mailer_Examples
 */
try {

	require '../p3base/P3Base.php';

	$envelope = new P3Base_Mailer_Envelope;
	$envelope->setSubject('P3Mailer test mail');
	$envelope->setFrom('user@domain.com', 'name');
	$envelope->addTo('user@domain.com', 'name');

	$envelope->setHTMLMessage('<b>P3mailer</b> <i>HTML</i> <font color="green">test</font>');
	$envelope->setTextMessage('P3mailer text');
	
	$mailer   = new P3Base_Mailer_Handler_SMTP('your mail server');
	$debugger = new P3Base_Base_Debugger(P3Base_Base_Debugger::TYPE_READ_WRITE,
					     				 P3Base_Base_Debugger::MODE_RETURN);
										 
	$mailer->setDebugger($debugger);
	$mailer->perform($envelope);

	//close connection
	$mailer = null;

	//display debugging
	echo $debugger; // echo $debugger->__toString();
	
} catch(Exception $e) {
	echo '<hr /><b>Error Occured</b><br />';
	echo nl2br($e->getMessage());
}

?>
