<?php

/**
 * @author  Samuel Carlier
 * @package P3Base_Mailer_Examples
 */
try {

	require '../p3base/P3Base.php';

	$envelope = new P3Base_Mailer_Envelope;
	$envelope->setSubject('P3Mailer starttls test mail');

	$envelope->setFrom('user@domain.com', 'name');
	$envelope->addTo('user@domain.com', 'name');

	$envelope->setHTMLMessage('this is a <b>html</b> <font color="#cccccc">message</font>');
	
	$mailer = new P3Base_Mailer_Handler_SMTP('mail.domain.com', 25, 'tls');
	$mailer->auth('username', 'password');
	$mailer->perform($envelope);

	//close connection
	$mailer = null;
	

} catch(Exception $e) {
	echo '<hr /><b>Error Occured</b><br />';
	echo nl2br($e->getMessage());
}

?>