<?php

/**
 * @author 	Samuel Carlier
 * @package P3Base
 */

if(!defined('P3BASE')) {
	define('P3BASE',  dirname(__FILE__) . '/');	
}

if(!defined('P3_DEFAULT_LANG')) {
	define('P3_DEFAULT_LANG', 'en');	
}

//Base
require P3BASE . 'Base/Debugger.php';

//Socket
require P3BASE . 'Socket/Client.php';
require P3BASE . 'Socket/Exception.php';
require P3BASE . 'Socket/SMTP.php';

//Iterator
require P3BASE . 'Iterator/Simple.php';

//Mailer
require P3BASE . 'Mailer/Exception.php';
require P3BASE . 'Mailer/Envelope.php';

require P3BASE . 'Mailer/Message.php';
require P3BASE . 'Mailer/MessagePart.php';

require P3BASE . 'Mailer/Files.php';
require P3BASE . 'Mailer/Addresses.php';
require P3BASE . 'Mailer/Headers.php';

require P3BASE . 'Mailer/Handler/SMTP.php';
require P3BASE . 'Mailer/Handler/Exception.php';

require P3BASE . 'Mailer/Iterator/MailAddress.php';
require P3BASE . 'Mailer/Iterator/MailHeader.php';
require P3BASE . 'Mailer/Iterator/MailFile.php';

//Translator
require P3BASE . 'Language/Exception.php';
require P3BASE . 'Language/Translator.php';

P3Base_Language_Translator::setLang(P3_DEFAULT_LANG);

?>